/**
 * cdn
 */
const shell = require('shelljs')
const qshell = require('sy-qshell')
const path = require('path')

function getKey () {
  return new Promise((resolve, reject) => {
    shell.exec(`curl  http://www.soyoung.com/upload/getaksk `, {
      silent: true
    }, (code, stdout, stderr) => {
      if (code) {
        reject(stderr)
      }
      resolve(stdout)
    })
  })
}

async function init (confPath) {
  let _jsonPath = path.join(process.cwd(), confPath)
  console.log(_jsonPath)
  try {
    let obj = await getKey().catch(rej => {
      console.log('获取AK/SK失败，请重试')
      process.exit(1)
    })
    let conf = JSON.parse(obj)

    if (typeof conf === 'object' && +conf.code === 0) {
      qshell.exec({
        ...conf.data,
        command: 'qupload',
        option: `5 ${_jsonPath}`
      })
    } else {
      console.log('获取AK/SK错误，请重试')
      console.log(obj)
      process.exit(1)
    }
  } catch (error) {
    console.log('上传失败')
    console.error(error)
  }
}
module.exports = init
